Bug 21121 - New syspref to allow hiding of private patron data in circulation page
Summary: New syspref to allow hiding of private patron data in circulation page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 21815
  Show dependency treegraph
 
Reported: 2018-07-26 01:57 UTC by Alex Buckley
Modified: 2019-04-22 09:49 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Sponsored by: Toi Ohomai Institute of Technology in New Zealand and Catalyst IT.
Version(s) released in:


Attachments
Bug 21121 - Added new system preference to control hiding of personal patron information in the circulation page (7.35 KB, patch)
2018-07-26 02:19 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 21121: Added new system preference to control hiding of personal patron information in the circulation page (7.38 KB, patch)
2018-07-26 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21121: Added new system preference to control hiding of personal patron information in the circulation page (7.47 KB, patch)
2018-08-01 13:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21121: Add the IGNORE clause (1.37 KB, patch)
2018-08-01 13:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2018-07-26 01:57:07 UTC
Implementing a new system preference to allow libraries to choose if they want personal patron information such as phone number, email, address and city from being displayed in the circulation page for privacy reasons.
Comment 1 Alex Buckley 2018-07-26 02:19:03 UTC
Created attachment 77276 [details] [review]
Bug 21121 - Added new system preference to control hiding of personal patron information in the circulation page

Libraries may want to hide personal patron data from the circulation
page for privacy reasons this syspref introduces that ability for
library staff to control the display of this data themselves without
having to ask support vendors to hide it for them.

Test plan:
1. View circulation page and input a patrons barcode or name
2. Notice if the patron has a phone number, email, street address and
city set then these are displayed in the left hand side of the screen
under the patrons name. Otherwise if all/any of these fields are not set
for the patron then the text: "No <datafield> stored." is displayed.
3. Apply this patch
4. Run ./updatedatabase.pl from the Koha shell to run the atomicupdate
5. Restart memcached and plack
6. Notice a new systempreference named
'HidePersonalPatronDetailOnCirculation' has been added, which has the
default value 'Dont'
7. Without changing the default value notice the personal patron
information is still displayed on the circulation page
8. Change the value of the syspref to 'Do' and now notice the phone
number, email address, street address and city are now hidden in the
circulation page

Sponsored-By: Catalyst IT
Comment 2 Owen Leonard 2018-07-26 13:00:59 UTC
Created attachment 77280 [details] [review]
Bug 21121: Added new system preference to control hiding of personal patron information in the circulation page

Libraries may want to hide personal patron data from the circulation
page for privacy reasons this syspref introduces that ability for
library staff to control the display of this data themselves without
having to ask support vendors to hide it for them.

Test plan:
1. View circulation page and input a patrons barcode or name
2. Notice if the patron has a phone number, email, street address and
   city set then these are displayed in the left hand side of the screen
   under the patrons name. Otherwise if all/any of these fields are not
   set for the patron then the text: "No <datafield> stored." is
   displayed.
3. Apply this patch
4. Run ./updatedatabase.pl from the Koha shell to run the atomicupdate
5. Restart memcached and plack
6. Notice a new systempreference named
   'HidePersonalPatronDetailOnCirculation' has been added, which has the
   default value 'Dont'
7. Without changing the default value notice the personal patron
   information is still displayed on the circulation page
8. Change the value of the syspref to 'Do' and now notice the phone
   number, email address, street address and city are now hidden in the
   circulation page

Sponsored-By: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2018-08-01 13:55:34 UTC
Created attachment 77367 [details] [review]
Bug 21121: Added new system preference to control hiding of personal patron information in the circulation page

Libraries may want to hide personal patron data from the circulation
page for privacy reasons this syspref introduces that ability for
library staff to control the display of this data themselves without
having to ask support vendors to hide it for them.

Test plan:
1. View circulation page and input a patrons barcode or name
2. Notice if the patron has a phone number, email, street address and
   city set then these are displayed in the left hand side of the screen
   under the patrons name. Otherwise if all/any of these fields are not
   set for the patron then the text: "No <datafield> stored." is
   displayed.
3. Apply this patch
4. Run ./updatedatabase.pl from the Koha shell to run the atomicupdate
5. Restart memcached and plack
6. Notice a new systempreference named
   'HidePersonalPatronDetailOnCirculation' has been added, which has the
   default value 'Dont'
7. Without changing the default value notice the personal patron
   information is still displayed on the circulation page
8. Change the value of the syspref to 'Do' and now notice the phone
   number, email address, street address and city are now hidden in the
   circulation page

Sponsored-By: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2018-08-01 13:55:38 UTC
Created attachment 77368 [details] [review]
Bug 21121: Add the IGNORE clause

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-08-14 12:55:03 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-16 10:40:38 UTC
Enhancement, currently will not be backported to 18.05.x series.
Comment 7 Alex Buckley 2018-10-16 03:42:20 UTC
Just a note to say this was sponsored-by: Toi Ohomai Institute of Technology in New Zealand and Catalyst IT.
Comment 8 Martin Renvoize 2018-10-17 16:12:44 UTC
Added to the 'Text to go in the release notes' box for you Alex
Comment 9 Alex Buckley 2018-10-17 18:30:07 UTC
Thanks Martin!
Comment 10 Jonathan Druart 2018-12-04 19:02:50 UTC
Is it relevant to have HidePatronName and this new pref HidePersonalPatronDetailOnCirculation? Should not we merge them?
Comment 11 Martin Renvoize 2018-12-05 09:32:58 UTC
Not a bad catch there Jonathan... it would be nice to reduce the number of sysprefs.. perhaps an enhancement that allowed selection of which fields to show rather than a hard-coded list is in order.
Comment 12 Katrin Fischer 2019-04-22 09:49:50 UTC
(In reply to Jonathan Druart from comment #10)
> Is it relevant to have HidePatronName and this new pref
> HidePersonalPatronDetailOnCirculation? Should not we merge them?

I think HidePatronName is for hiding patron information outside circulation, while the other targets pages in the circulation module specifically. Something more general would still be nice, but I think both make sense right now.